
AGRO-POPC - Zadanie #2678
Zadanie # 2664 (W toku): Zbiorcze podsumowanie zadań po audycie WCAG
Brak nagłówków
2021-09-29 07:56 - Tomasz Blazejczyk

Status: Zamknięty Start date: 2021-09-29
Priority: Normalny Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Marcin Suda, Tomasz Blazejczyk Rewizja rozwiązania:
Tester: Tomasz Lewandowski Rewizja testów:
Description

Rozwiązanie
Definicja nagłówków w odpowiedniej hierarchii
Przykład:
H1 – Wyniki wyszukiwania
H2 Ograniczenie wyników
H2 – AktywnośćObywatelska
H2 – Pomoc WsparcieSpołeczne
H2 – Kultura
H2 – Sport

History
#1 - 2021-09-29 07:59 - Tomasz Blazejczyk
- Status changed from Nowy to W toku
- Assignee set to Tomasz Lewandowski

Tutaj trzeba by sie zastanowić jak to sensownie nagłówkować dla poszczególnych stron - wyszukiwanie, przeglądanie, szczegóły

#2 - 2021-10-06 14:45 - Tomasz Lewandowski
- Assignee changed from Tomasz Lewandowski to Marcin Suda

/search/article.action
<h1 class="header">zawierające słowa lub wyrażenie:</h1>

przykład z raportu dotyczył wyników wyszukiwania, u nas mamy np. tak:
http://lodowy.vls.icm.edu.pl/agro-test/search/page.action?qt=SEARCH&#38;q=c_0language_0eq.all*sc.article*l_0*c_0names_0eq.ziemniak*c_0fulltex
_0eq.all

Napis "Wyniki wyszukiwania" siedzi w
<body>
    ...
        <div id="result_filter">
            <div class="filter-header-mask filter-header-round">
                <div class="filter-header filter-header-round">Wyniki wyszukiwania</div>

I to jeśli rozumiem wytyczne ma być zamknięte jeszcze w <h1 jakistam_atrybut="Wyniki wyszukiwania">
http://lodowy.vls.icm.edu.pl/agro-test/search/page.action?qt=SEARCH&#38;q=c_0language_0eq.all*sc.article*l_0*c_0names_0eq.ziemniak*c_0fulltext_0eq.all
http://lodowy.vls.icm.edu.pl/agro-test/search/page.action?qt=SEARCH&#38;q=c_0language_0eq.all*sc.article*l_0*c_0names_0eq.ziemniak*c_0fulltext_0eq.all


Kolejne ziemniaki siedzą zaś sobie niżej w:
    ...
        <div class="result">
            <div class="top-row">
                <div class="title-block cell">
                    <div class = "title ">
                        <a href="foo">Poczciwy ziemniak</a>

oidkumam, <a> powinno siedzieć w jakimś <h2 = "[tytuł artykułu]">

#3 - 2021-10-14 10:47 - Marcin Suda
- Status changed from W toku to Testowanie
- Assignee changed from Marcin Suda to Tomasz Lewandowski

Dodano/zmieniono nagłówki na stronach wyszukiwania, detali, przeglądania.

#4 - 2021-10-15 14:17 - Tomasz Lewandowski
- Status changed from Testowanie to Rozwiązany
- Assignee deleted (Tomasz Lewandowski)
- % Done changed from 0 to 100

<h1 class="style-inherit">Wyniki wyszukiwania</h1>
<h2 class="style-inherit"> Regulowany <span class="highlight">ziemniak</span> </h2>
<h3 class="style-inherit"><span style="font-weight: bold;">Ograniczanie wyników</span></h3>

wygląda ok

#5 - 2021-10-19 09:09 - Tomasz Lewandowski
- Status changed from Rozwiązany to Zamknięty
